
/* dpixel(): Change a pixel's color */
void dpixel(int x, int y, int color)
{
	(void)x;
	(void)y;
	(void)color;
}

/* dupdate(): Push the video RAM to the display driver */
void dupdate(void)
{
	;
}

/* dclear(): Fill the screen with a single color */
void dclear(int color)
{
	(void)color;
}

/* dascii() : display one ASCII character */
extern void dascii(int x, int y, int fg, int bg, int n)
{
	(void)x;
	(void)y;
	(void)fg;
	(void)bg;
	(void)n;
}

/* dline(): Render a straight line */
void dline(int x1, int y1, int x2, int y2, int color)
{
	(void)x1;
	(void)y1;
	(void)x2;
	(void)y2;
	(void)color;
}

/* dtext() : display raw text */
void dtext(int x, int y, int fg, char const * restrict const text)
{
	(void)x;
	(void)y;
	(void)fg;
	(void)text;
}

/* dprint() : display formated text */
void dprint(int x, int y, int fg, char const * const text, ...)
{
	(void)x;
	(void)y;
	(void)fg;
	(void)text;
}

/* dsize(): Get the width and height of rendered text */
void dsize(char const *str, int *w, int *h)
{
	(void)str;
	(void)w;
	(void)h;
}

/* dnsize(): Get the width and height of rendered text for the n first char */
void dnsize(char const *str, int n, int *w, int *h)
{
	(void)str;
	(void)n;
	(void)w;
	(void)h;
}

/* drect(): Fill a rectangle of the screen */
void drect(int x1, int y1, int x2, int y2, int color)
{
	(void)x1;
	(void)y1;
	(void)x2;
	(void)y2;
	(void)color;
}

/* dhline(): Draw horizontal line */
void dhline(int x1, int x2, int y, int color)
{
	(void)x1;
	(void)x2;
	(void)y;
	(void)color;
}

/* dvline(): Draw vertical line */
void dvline(int y1, int y2, int x, int color)
{
	(void)y1;
	(void)y2;
	(void)x;
	(void)color;
}

void dsubimage(int x, int y, void *image, int left, int top,
	int width, int height, int flags)
{
	(void)x;
	(void)y;
	(void)image;
	(void)left;
	(void)top;
	(void)width;
	(void)height;
	(void)flags;
}

void *dfont(void const *font)
{
	(void)font;
}

void dimage(int x, int y, void const *image)
{
	(void)x;
	(void)y;
	(void)image;
}

void dprint_opt(int x, int y, int fg, int bg, int halign, int valign,
	char const *format, ...)
{
	(void)x;
	(void)y;
	(void)fg;
	(void)bg;
	(void)halign;
	(void)valign;
	(void)format;
}
